Subject: RE: Odd mount and path problem
From: "Robinow, David" <[email-masked]>
To: "'Larry V. Streepy, Jr.'" <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Jul 2002 13:05:45 -0400

> From: Larry V. Streepy, Jr. [mailto:[email-masked]]
> Subject: Re: Odd mount and path problem
> 
> I got an explanation that had something to do with the current drive 
> affecting the way /cygdrive is interpreted.  However, I wasn't using 
> /cygdrive in my path, so I don't understand the real reason that you 
> have to include the drive letter in mount table.
 I think you misinterpreted the answer. /cygdrive has nothing to do with
this.

  The mount point:
    \cygwin\sbin on /sbin type system (binmode)
  means that if cygwin sees a file spec /sbin/blah/what.txt
  It looks in the mount table for /sbin/blah. Assuming that's not found it
looks for /sbin. That exists and so it looks for the file in
\cygwin\sbin\blah\what.txt
 What disk drive would you expect to find that file in? Well, for as long as
I can remember, Microsoft has looked in what is known as the "current
drive".  That means your mount point changes every time you change your
current directory to a different drive.
 I don't think "mount" should allow you to do this. I consider it a bug.
mount should require a drive letter.
 Note that the location of the "/" mount point is not relevant here.  It
would only be looked at, in the above case, if there were no /sbin mount
point.
> 
> Jim George wrote:
> > From: "Larry V. Streepy, Jr." <[email-masked]>
> > Subject: Re: Odd mount and path problem
> >>Sylvain Petreolle wrote:
> >>>>d:\cygwin\home on /home type system (binmode)
> >>>>\cygwin\sbin on /sbin type system (binmode)
> >>>>\cygwin\bin on /bin type system (binmode)
> >>>>
> >>>basic response is :
> >>>you miss the DOS drive letter in your mount points
> >>>and the / moint point looks wrong (maybe d:\cygwin ?):
> >>>D: on / type system (binmode)
> >>
> >>Excellent - that was the problem, although I really don't understand 
> >>why.  Once d:/ is mounted on /, why do I need to qualify 
> >> all the other mount points?
> >>
> > Did you get an answer to this Larry?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/